<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_CONCORRENTES == 1) {

    class FornecedoresController extends GxController {

        var $help = 'Cadastro das informações dos fornecedores de sistema. Acesse no menu Comercial -> Fornecedores de Sistema. ';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'Fornecedores'),
            ));
        }

        public function actionCreate() {
            $model = new Fornecedores;


            if (isset($_POST['Fornecedores'])) {
                $model->setAttributes($_POST['Fornecedores']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->FOR_IDFORNECEDOR));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'Fornecedores');


            if (isset($_POST['Fornecedores'])) {
                $model->setAttributes($_POST['Fornecedores']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->FOR_IDFORNECEDOR));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'Fornecedores')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new Fornecedores('search');
            $model->unsetAttributes();

            if (isset($_GET['Fornecedores']))
                $model->setAttributes($_GET['Fornecedores']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionAutocomplete() {
            $qtxt = "SELECT FOR_NOME FROM fornecedores WHERE (FOR_NOME LIKE '%" . addslashes($_GET['term']) . "%' or FOR_NOME LIKE '%" . addslashes(utf8_decode($_GET['term'])) . "%') and FOR_SITUACAO = 'A' order by FOR_NOME";
            $command = Yii::app()->db->createCommand($qtxt);
            $res = $command->queryColumn();
            //}

            echo CJSON::encode($res);
            Yii::app()->end();
        }

        public function actionFiltrofornecedor() {

            $lista = Fornecedores::model()->findAll("(FOR_NOME LIKE '%" . addslashes($_GET['term']) . "%' or FOR_NOME LIKE '%" . addslashes(utf8_decode($_GET['term'])) . "%') and FOR_SITUACAO = 'A' order by FOR_NOME");
            $resultados = array();
            foreach ($lista as $list) {
                $resultados[] = array(
                    'id' => $list->FOR_IDFORNECEDOR,
                    'text' => $list->FOR_NOME,
                );
            }
            echo CJSON::encode($resultados);
        }

    }

} else {

    class FornecedoresController extends GxController {

        public function actionAutocomplete() {
            $qtxt = "SELECT FOR_NOME FROM fornecedores WHERE (FOR_NOME LIKE '%" . addslashes($_GET['term']) . "%' or FOR_NOME LIKE '%" . addslashes(utf8_decode($_GET['term'])) . "%') and FOR_SITUACAO = 'A' order by FOR_NOME";
            $command = Yii::app()->db->createCommand($qtxt);
            $res = $command->queryColumn();
            //}

            echo CJSON::encode($res);
            Yii::app()->end();
        }

        public function actionFiltrofornecedor() {

            $lista = Fornecedores::model()->findAll("(FOR_NOME LIKE '%" . addslashes($_GET['term']) . "%' or FOR_NOME LIKE '%" . addslashes(utf8_decode($_GET['term'])) . "%') and FOR_SITUACAO = 'A' order by FOR_NOME");
            $resultados = array();
            foreach ($lista as $list) {
                $resultados[] = array(
                    'id' => $list->FOR_IDFORNECEDOR,
                    'text' => $list->FOR_NOME,
                );
            }
            echo CJSON::encode($resultados);
        }

    }

}